Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 2734)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 2735)
@@ -358,10 +358,10 @@
 						StatusLine.setMessage("");
 					}
 					else {
-						StatusLine.setMessage(((TXMResult) selectedItem).getDetails());
+						// TODO uncomment when status line will be restored
+						// StatusLine.setMessage(((TXMResult) selectedItem).getDetails());
 					}
 				}
-				
 			}
 			
 			@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2734)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2735)
@@ -887,7 +887,8 @@
 			return this.computingJob;
 		}
 		
-		StatusLine.setMessage(this.getResult().getComputingStartMessage());
+		// TODO uncomment when StatusLine behavior will be decided
+		// StatusLine.setMessage(this.getResult().getComputingStartMessage());
 		
 		// FIXME: SJ: tests to hide/display the result area while computing
 		// this.resultArea.setVisible(false);
@@ -993,7 +994,8 @@
 								// focus in the main widget
 								setFocus();
 								
-								StatusLine.setMessage(TXMEditor.this.getResult().getComputingDoneMessage());
+								// TODO uncomment when StatusLine behavior will be decided
+								// StatusLine.setMessage(TXMEditor.this.getResult().getComputingDoneMessage());
 								
 								// FIXME: SJ: tests to enable/disable the editor widgets while computing
 								// recursiveSetEnabled(true);
@@ -1068,15 +1070,16 @@
 			// && !editorInput.getResult().getParent().hasBeenComputedOnce()
 			) {
 				try {
-					if (editorInput.getResult().isDirty()) {
-						try {
-							StatusLine.setMessage(editorInput.getResult().getComputingStartMessage());
-						}
-						catch (Exception e) {
-							// TODO Auto-generated catch block
-							e.printStackTrace();
-						}
-					}
+					// TODO uncomment when StatusLine behavior will be decided
+					// if (editorInput.getResult().isDirty()) {
+					// try {
+					// StatusLine.setMessage(editorInput.getResult().getComputingStartMessage());
+					// }
+					// catch (Exception e) {
+					// // TODO Auto-generated catch block
+					// e.printStackTrace();
+					// }
+					// }
 					
 					ComputeProgressMonitorDialog dialog = new ComputeProgressMonitorDialog(window.getShell(), editorInput.getResult());
 					dialog.runComputingProcess(true);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 2734)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 2735)
@@ -55,7 +55,7 @@
 	public Part(Partition partition, String partName, String query) {
 		super(partition);
 
-		this.userName = partName;
+		this.setUserName(partName);
 		this.pQuery = new CQLQuery(query);
 		this.pID = CqpObject.partNamePrefix + CQPCorpus.getNextSubcorpusCounter();
 		this.setVisible(false);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2734)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2735)
@@ -146,11 +146,11 @@
 	 */
 	public boolean _compute_with_lists(TXMProgressMonitor monitor) throws Exception {
 		
-		if (this.userName == null || this.userName.length() == 0) {
-			this.userName = "no_name";
+		if (this.getUserName() == null || this.getUserName().length() == 0) {
+			this.setUserName("no_name");
 		}
 		
-		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.userName, this.getParent()));
+		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getUserName(), this.getParent()));
 		long start = System.currentTimeMillis();
 		
 		monitor.setTask("Building parts...");
@@ -170,7 +170,7 @@
 			
 		}
 		long end = System.currentTimeMillis();
-		Log.fine(NLS.bind(SearchEngineCoreMessages.info_partitionCreatedInXMs, this.userName, (end - start)));
+		Log.fine(NLS.bind(SearchEngineCoreMessages.info_partitionCreatedInXMs, this.getUserName(), (end - start)));
 		
 		return pQueries.size() > 0;
 	}
@@ -193,11 +193,11 @@
 	protected boolean _compute_with_property(TXMProgressMonitor monitor) throws Exception {
 		
 		CQPCorpus corpus = this.getParent();
-		if (this.userName == null || this.userName.length() == 0) {
-			this.userName = corpus.getName() + "_" + pProperty.getFullName(); //$NON-NLS-1$
+		if (this.getUserName() == null || this.getUserName().length() == 0) {
+			this.setUserName(corpus.getName() + "_" + pProperty.getFullName()); //$NON-NLS-1$
 		}
 		
-		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.userName, this.getParent()));
+		Log.finest(NLS.bind(SearchEngineCoreMessages.info_creatingNewPartition, this.getUserName(), this.getParent()));
 		
 		if (pValues == null) {
 			pValues = pProperty.getValues(corpus);
@@ -374,7 +374,7 @@
 	
 	@Override
 	public String getDetails() {
-		String name = this.userName;
+		String name = this.getUserName();
 		int partsCount = this.getPartsCount();
 		
 		if (partsCount > 0) {
@@ -386,7 +386,7 @@
 	
 	@Override
 	public String getSimpleName() {
-		return this.userName;
+		return this.getUserName();
 	}
 	
 	@Override
@@ -526,7 +526,7 @@
 	 *             the cqi client exception
 	 */
 	public List<QueryResult> query(CQLQuery query, String name) throws CqiClientException {
-		Log.finest(TXMCoreMessages.queryingPartitionP0 + this.userName);
+		Log.finest(TXMCoreMessages.queryingPartitionP0 + this.getUserName());
 		List<Part> parts = getParts();
 		List<QueryResult> results = new ArrayList<>(parts.size());
 		for (Subcorpus part : parts) {
@@ -604,8 +604,8 @@
 	
 	@Override
 	public String toString() {
-		if (!this.userName.isEmpty()) {
-			return this.userName;
+		if (!this.getUserName().isEmpty()) {
+			return this.getUserName();
 		}
 		return super.toString();
 	}
@@ -620,7 +620,7 @@
 	public boolean setParameters(String name, StructuralUnitProperty property, List<String> values) {
 		this.pProperty = property;
 		this.pValues = values;
-		this.userName = name;
+		this.setUserName(name);
 		this.pQueries = null;
 		this.pPartNames = null;
 		return true;
@@ -629,7 +629,7 @@
 	public boolean setParameters(String name, List<String> queries, List<String> names) {
 		this.pProperty = null;
 		this.pValues = null;
-		this.userName = name;
+		this.setUserName(name);
 		this.pQueries = queries;
 		this.pPartNames = names;
 		return true;
@@ -637,7 +637,7 @@
 	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
-		this.userName = parameters.getString(TXMPreferences.USER_NAME);
+		this.setUserName(parameters.getString(TXMPreferences.USER_NAME));
 		String tmp = parameters.getString(CQPPreferences.PART_NAMES);
 		if (tmp != null) {
 			this.pPartNames = Arrays.asList(tmp.split("\t"));
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 2734)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 2735)
@@ -927,7 +927,7 @@
 	
 	@Override
 	public String getName() {
-		return this.userName;
+		return this.getUserName();
 	}
 	
 	/**
@@ -1028,7 +1028,7 @@
 	
 	@Override
 	public String getSimpleName() {
-		return this.userName;
+		return this.getUserName();
 	}
 	
 	// /* (non-Javadoc)
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2734)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2735)
@@ -611,7 +611,7 @@
 	
 	@Override
 	public void setName(String name) {
-		this.userName = name;
+		this.setUserName(name);
 	}
 	
 	@Override
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 2734)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 2735)
@@ -128,7 +128,7 @@
 			String parent_id = this.getCorpusParent().getQualifiedCqpId();
 			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(parent_id, this.pID, CQLQuery.fixQuery(this.pQuery.getQueryString()));
 			
-			this.qresult = new QueryResult(this.pID, this.userName, this.getCorpusParent(), this.pQuery); // getCorpusParent().query(pQuery, this.pID, true);
+			this.qresult = new QueryResult(this.pID, this.getUserName(), this.getCorpusParent(), this.pQuery); // getCorpusParent().query(pQuery, this.pID, true);
 		}
 		
 		cqpTextIDS = null; // reset text ids cache
@@ -158,7 +158,7 @@
 	@Override
 	protected boolean _load(Element e) {
 		if (e != null) {
-			this.userName = e.getAttribute(NAME);
+			this.setUserName(e.getAttribute(NAME));
 			this.pID = "S" + getNextSubcorpusCounter();
 			this.pQuery = new CQLQuery(e.getAttribute("query")); //$NON-NLS-1$
 			
@@ -210,7 +210,7 @@
 	
 	@Override
 	public boolean canCompute() {
-		return userName != null && userName.length() > 0 &&
+		return getUserName() != null && getUserName().length() > 0 &&
 				((pQuery != null && pQuery.getQueryString().length() > 0) || qresult != null);
 	}
 	
@@ -510,7 +510,7 @@
 	protected void setParameters(String pID, String name, CQLQuery query) throws InvalidCqpIdException {
 		this.pID = pID;
 		this.pQuery = query;
-		this.userName = name;
+		this.setUserName(name);
 	}
 	
 	/**
@@ -521,7 +521,7 @@
 	 */
 	public void setParameters(String cqpId, String name, QueryResult queryResult) {
 		this.pID = cqpId;
-		this.userName = name;
+		this.setUserName(name);
 		this.pQuery = queryResult.getQuery();
 		this.qresult = queryResult;
 		
@@ -744,7 +744,7 @@
 	
 	@Override
 	public String getSimpleName() {
-		return this.userName;
+		return this.getUserName();
 	}
 	
 	@Override
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2734)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2735)
@@ -164,7 +164,7 @@
 	 * The user name (to rename a result).
 	 */
 	@Parameter(key = TXMPreferences.USER_NAME, type = Parameter.INTERNAL)
-	protected String userName;
+	private String userName;
 	
 	/**
 	 * To store the simple name for unserialization and lazy loading.
Index: tmp/org.txm.core/src/java/org/txm/objects/Text.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Text.java	(revision 2734)
+++ tmp/org.txm.core/src/java/org/txm/objects/Text.java	(revision 2735)
@@ -120,7 +120,7 @@
 		catch (Exception e2) {
 		}
 		
-		userName = e.getAttribute("name"); //$NON-NLS-1$
+		this.setUserName(e.getAttribute("name")); //$NON-NLS-1$
 		
 		Element editionsnode = (Element) e.getElementsByTagName("editions").item(0); //$NON-NLS-1$
 		NodeList editionList = editionsnode.getElementsByTagName("edition"); //$NON-NLS-1$
@@ -267,7 +267,7 @@
 	}
 	
 	public void setName(String name) {
-		this.userName = name;
+		this.setUserName(name);
 	}
 	
 	public void setSourceFile(File src) {
@@ -283,17 +283,17 @@
 	
 	@Override
 	public String getName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getSimpleName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getDetails() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
@@ -325,6 +325,6 @@
 	
 	@Override
 	public String toString() {
-		return userName + " (file: " + pXMLTXMFile + ")";
+		return getUserName() + " (file: " + pXMLTXMFile + ")";
 	}
 }
Index: tmp/org.txm.core/src/java/org/txm/objects/SavedQuery.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/SavedQuery.java	(revision 2734)
+++ tmp/org.txm.core/src/java/org/txm/objects/SavedQuery.java	(revision 2735)
@@ -100,7 +100,7 @@
 	}
 	
 	protected boolean setParameters(Element pElement) {
-		this.userName = pElement.getAttribute("name"); //$NON-NLS-1$
+		this.setUserName(pElement.getAttribute("name")); //$NON-NLS-1$
 		this.pValue = pElement.getAttribute("value"); //$NON-NLS-1$
 		this.examples = new ArrayList<>();
 		NodeList examplesN = pElement.getElementsByTagName("example"); //$NON-NLS-1$
@@ -108,7 +108,7 @@
 			Element e = (Element) examplesN.item(i);
 			examples.add(e.getTextContent());
 		}
-		if (this.userName == null || this.pValue == null)
+		if (this.getUserName() == null || this.pValue == null)
 			return false;
 		return true;
 	}
@@ -137,7 +137,7 @@
 	 */
 	@Override
 	public String toString() {
-		return this.userName + "=" + this.pValue; // + " >> " + this.examples; //$NON-NLS-1$
+		return this.getUserName() + "=" + this.pValue; // + " >> " + this.examples; //$NON-NLS-1$
 	}
 	
 	@Override
@@ -152,19 +152,19 @@
 	
 	@Override
 	public boolean setParameters(TXMParameters parameters) throws Exception {
-		this.userName = parameters.getString(TBXPreferences.NAME);
+		this.setUserName(parameters.getString(TBXPreferences.NAME));
 		this.pValue = parameters.getString(TBXPreferences.VALUE);
 		return true;
 	}
 	
 	@Override
 	public String getName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getSimpleName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
@@ -193,7 +193,7 @@
 	}
 	
 	public void setParameters(String query, ArrayList<String> examples) {
-		this.userName = query;
+		this.setUserName(query);
 		this.pValue = query;
 		this.examples = examples;
 	}
Index: tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2734)
+++ tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2735)
@@ -229,7 +229,7 @@
 	 */
 	@SuppressWarnings("unchecked")
 	public List<SavedQuery> getQueriesLog() {
-		return (List<SavedQuery>) getChildren(SavedQuery.class);
+		return getChildren(SavedQuery.class);
 	}
 	
 	// /**
@@ -334,7 +334,7 @@
 	protected boolean _load(Element e) {
 		if (e == null) return false;
 		
-		this.userName = e.getAttribute(NAME);
+		this.setUserName(e.getAttribute(NAME));
 		this.pID = e.getAttribute(NAME);
 		// this.pLanguage = e.getAttribute(LANG);
 		// System.out.println("LOAD BASE "+this.name);
@@ -943,7 +943,7 @@
 	}
 	
 	public void setName(String name) {
-		this.userName = name;
+		this.setUserName(name);
 	}
 	
 	protected void setID(String id) {
Index: tmp/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 2734)
+++ tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 2735)
@@ -113,7 +113,7 @@
 	protected boolean _load(Element e) {
 		// pType = e.getAttribute("type"); //$NON-NLS-1$
 		pIndex = e.getAttribute("index"); //$NON-NLS-1$
-		userName = e.getAttribute("name"); //$NON-NLS-1$
+		this.setUserName(e.getAttribute("name")); //$NON-NLS-1$
 		
 		// System.out.println(" build edition "+name);
 		NodeList pagesList = e.getElementsByTagName("page"); //$NON-NLS-1$
@@ -344,7 +344,7 @@
 	@Override
 	public String toString() {
 		try {
-			return "Edition [name=" + userName + " index=" + pIndex + ", pages=" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			return "Edition [name=" + getUserName() + " index=" + pIndex + ", pages=" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					+ pPageNames.size() + "]"; //$NON-NLS-1$
 		}
 		catch (Exception e) {
@@ -401,17 +401,17 @@
 	
 	@Override
 	public String getName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getSimpleName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getDetails() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
@@ -455,7 +455,7 @@
 	}
 	
 	public void setName(String name) {
-		this.userName = name;
+		this.setUserName(name);
 	}
 	
 	public ArrayList<String> getPageNames() {
Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 2734)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 2735)
@@ -132,7 +132,7 @@
 			}
 		}
 		
-		this.userName = corporaProject.getName(); // corpora
+		this.setUserName(corporaProject.getName()); // corpora
 		// this.setPath("/"+pName);
 		// this.xmlDefinitionFile = xmlfile;
 	}
@@ -177,12 +177,12 @@
 	
 	@Override
 	public String getSimpleName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getDetails() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
@@ -193,7 +193,6 @@
 	@Override
 	@Deprecated
 	public boolean toTxt(File arg0, String arg1, String arg2, String arg3) throws Exception {
-		// TODO Auto-generated method stub
 		return false;
 	}
 	
@@ -376,7 +375,7 @@
 	
 	@Override
 	public String getName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2734)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2735)
@@ -178,7 +178,7 @@
 		super("/project/" + name + "/" + createUUID() + "_Project", workspace);
 		
 		this.needToBuild = needToBuild;
-		this.userName = name;
+		this.setUserName(name);
 		
 		this.setVisible(false);
 		
@@ -324,7 +324,7 @@
 	
 	@Override
 	public boolean canCompute() throws Exception {
-		if (userName == null) {
+		if (getUserName() == null) {
 			Log.severe("Project.canCompute(): can not compute with missing name.");
 			return false;
 		}
@@ -613,9 +613,9 @@
 	 */
 	public boolean _load(BaseOldParameters params) throws Exception {
 		params.load();
-		userName = params.name;
+		this.setUserName(params.name);
 		
-		// set the improt module name using the Loader script name
+		// set the import module name using the Loader script name
 		this.pImportModuleName = params.scriptFile;
 		if (this.pImportModuleName != null) {
 			int idx = this.pImportModuleName.indexOf("Loader.groovy");
@@ -636,7 +636,7 @@
 			pSrcDirectory = new File(getProjectDirectory(), "src");
 		}
 		
-		File dir = new File(this.getWorkspace().getLocation(), userName);
+		File dir = new File(this.getWorkspace().getLocation(), getUserName());
 		File paramFile = new File(dir, "import.xml");
 		if (!paramFile.exists()) return false;
 		
@@ -841,7 +841,7 @@
 	 */
 	public File getProjectDirectory() {
 		if (this.rcpProject == null || this.rcpProject.getLocation() == null) {
-			return new File(Toolbox.workspace.getLocation(), "corpora/" + this.userName);
+			return new File(Toolbox.workspace.getLocation(), "corpora/" + this.getUserName());
 		}
 		return this.rcpProject.getLocation().toFile();
 	}
@@ -926,17 +926,17 @@
 	
 	@Override
 	public String getName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getSimpleName() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
 	public String getDetails() {
-		return userName;
+		return getUserName();
 	}
 	
 	@Override
@@ -962,11 +962,9 @@
 	}
 	
 	public void setName(String name) {
-		this.userName = name;
+		this.setUserName(name);
 	}
 	
-	
-	
 	@Override
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
 		return false;
@@ -1390,7 +1388,7 @@
 	
 	@Override
 	public String toString() {
-		return this.userName;// +((this.rcpProject != null && this.rcpProject.getLocation() != null)?" ("+this.rcpProject.getLocation()+")":"");
+		return this.getUserName();// +((this.rcpProject != null && this.rcpProject.getLocation() != null)?" ("+this.rcpProject.getLocation()+")":"");
 	}
 	
 	/**
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 2734)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 2735)
@@ -58,48 +58,52 @@
  * @author mdecorde.
  */
 public class SendToRCommand extends BaseAbstractHandler {
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
-		if(!super.checkStatsEngine())	{
+		
+		if (!super.checkStatsEngine()) {
 			return null;
 		}
-
+		
 		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
-
+		
 		final List list = selection.toList();
-		JobHandler jobhandler = new JobHandler(RUIMessages.sendingToRWorkspaceColon+ list) {
+		JobHandler jobhandler = new JobHandler(RUIMessages.sendingToRWorkspaceColon + list) {
+			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
 					JobsTimer.start();
 					
-					monitor.beginTask(RUIMessages.sendingToRWorkspaceColon+ list, 100);
+					monitor.beginTask(RUIMessages.sendingToRWorkspaceColon + list, 100);
 					int delta = 100 / list.size();
-					for(Object o : list) {
+					for (Object o : list) {
 						if (o instanceof TXMResult) {
 							try {
-								monitor.subTask(RUIMessages.sendingToRWorkspaceColon+ o);
+								monitor.subTask(RUIMessages.sendingToRWorkspaceColon + o);
 								this.acquireSemaphore();
-								String symbol = send((TXMResult)o);
+								String symbol = send((TXMResult) o);
 								if (symbol == null) {
-									Log.info(NLS.bind("** {0} was not transfered to the R workspace.", ((TXMResult) o).getSimpleName()));
+									Log.info(NLS.bind("** {0} was not transfered to the R workspace.", o));
 									this.releaseSemaphore();
 									return Status.CANCEL_STATUS;
-								} else {
+								}
+								else {
 									Log.info(NLS.bind("{0} has been copied in the ''{1}'' R variable.", o.toString(), symbol));
 								}
 								this.releaseSemaphore();
-
+								
 								monitor.worked(delta);
-
-							} catch (Exception e) {
-								System.out.println("Failed to send to R: "+o);
+								
+							}
+							catch (Exception e) {
+								System.out.println("Failed to send to R: " + o);
 								org.txm.utils.logger.Log.printStackTrace(e);
 							}
 						}
@@ -107,15 +111,18 @@
 					
 					monitor.subTask(RUIMessages.refreshingViews);
 					this.syncExec(new Runnable() {
+						
 						@Override
 						public void run() {
 							CorporaView.refresh();
 							RVariablesView.reload();
 						}
 					});
-				} catch (ThreadDeath td) {
+				}
+				catch (ThreadDeath td) {
 					return Status.CANCEL_STATUS;
-				} finally {
+				}
+				finally {
 					monitor.done();
 					JobsTimer.stopAndPrint();
 				}
@@ -123,11 +130,11 @@
 			}
 		};
 		jobhandler.startJob();
-
-
+		
+		
 		return null;
 	}
-
+	
 	/**
 	 * Static method to create a R object from a TXMResult
 	 *
@@ -135,52 +142,47 @@
 	 * @throws Exception the exception
 	 */
 	public String send(TXMResult o) throws Exception {
-	
-		RStatsEngine rengine = (RStatsEngine)StatsEnginesManager.getREngine();
+		
+		RStatsEngine rengine = (RStatsEngine) StatsEnginesManager.getREngine();
 		HashMap<String, RTransformer<? extends TXMResult>> transformers = rengine.getTransformers();
 		if (transformers.containsKey(o.getClass().getName())) {
 			RTransformer<? extends TXMResult> transformer = rengine.getTransformers().get(o.getClass().getName());
 			return transformer.fromTXMtoR(o);
-		} else {
+		}
+		else {
 			return null;
 		}
-	//TODO: MD: create the SendToRCommands commands in all plugins that manage the following TXMResult classes
-	/*{
-
-		if (o instanceof Lexicon) 
-		{
-			Lexicon lex = (Lexicon) o;
-			Vector v = lex.asVector();
-			lex.setSymbol(v.getSymbol());
-
-			System.out.println(lex.getName()+" >> "+lex.getSymbol()); //$NON-NLS-1$
-		}  else if (o instanceof Corpus) {
-			Corpus corpus = (Corpus) o;
-			String symbol = corpus.SendToR();
-
-			System.out.println(corpus.getName()+" >> "+symbol); //$NON-NLS-1$
-		} else if (o instanceof Concordance) {
-			Concordance conc = (Concordance) o;
-			String symbol = conc.asRMatrix();
-
-			System.out.println(conc.getName()+" >> "+conc.getSymbol()); //$NON-NLS-1$
-		} else if (o instanceof Referencer) {
-			Referencer referencer = (Referencer) o;
-			String symbol = referencer.asRMatrix();
-
-			System.out.println(referencer.getName()+" >> "+referencer.getSymbol()); //$NON-NLS-1$
-		} else if (o instanceof Cooccurrence) {
-			Cooccurrence cooc = (Cooccurrence) o;
-			String symbol = cooc.asRMatrix();
-
-			System.out.println(cooc.getName()+" >> "+cooc.getSymbol()); //$NON-NLS-1$
-		} else if (o instanceof Index) {
-			Index voc = (Index) o;
-			voc.asRMatrix();
-
-			System.out.println(voc.getName()+" >> "+voc.getSymbol()); //$NON-NLS-1$
-		}
+		// TODO: MD: create the SendToRCommands commands in all plugins that manage the following TXMResult classes
+		/*
+		 * {
+		 * if (o instanceof Lexicon)
+		 * {
+		 * Lexicon lex = (Lexicon) o;
+		 * Vector v = lex.asVector();
+		 * lex.setSymbol(v.getSymbol());
+		 * System.out.println(lex.getName()+" >> "+lex.getSymbol()); //$NON-NLS-1$
+		 * } else if (o instanceof Corpus) {
+		 * Corpus corpus = (Corpus) o;
+		 * String symbol = corpus.SendToR();
+		 * System.out.println(corpus.getName()+" >> "+symbol); //$NON-NLS-1$
+		 * } else if (o instanceof Concordance) {
+		 * Concordance conc = (Concordance) o;
+		 * String symbol = conc.asRMatrix();
+		 * System.out.println(conc.getName()+" >> "+conc.getSymbol()); //$NON-NLS-1$
+		 * } else if (o instanceof Referencer) {
+		 * Referencer referencer = (Referencer) o;
+		 * String symbol = referencer.asRMatrix();
+		 * System.out.println(referencer.getName()+" >> "+referencer.getSymbol()); //$NON-NLS-1$
+		 * } else if (o instanceof Cooccurrence) {
+		 * Cooccurrence cooc = (Cooccurrence) o;
+		 * String symbol = cooc.asRMatrix();
+		 * System.out.println(cooc.getName()+" >> "+cooc.getSymbol()); //$NON-NLS-1$
+		 * } else if (o instanceof Index) {
+		 * Index voc = (Index) o;
+		 * voc.asRMatrix();
+		 * System.out.println(voc.getName()+" >> "+voc.getSymbol()); //$NON-NLS-1$
+		 * }
+		 * }
+		 */
 	}
-	 */
-	}
-}
\ No newline at end of file
+}
